System Administration
cancel
Showing results for 
Search instead for 
Did you mean: 

Vpar software upgrade landed in panic-Urgent

SOLVED
Go to solution
vasanth_2
Frequent Advisor

Vpar software upgrade landed in panic-Urgent

Dear all,

I am in upgrading process of vPar software version from A.03.03 to A.03.05. After installing the software system crashed with the below error. Please help asap.


MON> vparload -p vPar1 -b /stand/vmunix
[MON] Booting vPar1...

[MON] vPar1 loaded

Stored message buffer up to panic:

System Panic:

linkstamp: Sun Sep 20 08:51:46 EDT 2009
_release_version: @(#) $Revision: vmunix: vw: -proj selectors: CUPI80_BL2000_1108 -c 'Vw for CUPI80_BL2000_1108 build' -- cupi80_bl2000_1108 'CUPI80_BL2000_1108' Wed Nov 8 19:24:56 PST 2000 $
panic: Incompatible vPar monitor version

PC-Offset Stack Trace (read across, top of stack is 1st):


[MON]
[MON] vPar1 has halted.
MON> [MON] vPar2 has halted.
7 REPLIES
Stephan._1
Trusted Contributor
Solution

Re: Vpar software upgrade landed in panic-Urgent

Hi,
could you give some more information?

OS Version?

PA-RISC / Integrity?

Did you make the update of the vPar software on every vPar?
Share what you know, learn what you don't.
Torsten.
Acclaimed Contributor

Re: Vpar software upgrade landed in panic-Urgent

>> Incompatible vPar monitor version


Did you already boot the vpmon?

Hope this helps!
Regards
Torsten.

__________________________________________________
There are only 10 types of people in the world -
those who understand binary, and those who don't.

__________________________________________________
No support by private messages. Please ask the forum!

If you feel this was helpful please click the KUDOS! thumb below!   
Torsten.
Acclaimed Contributor

Re: Vpar software upgrade landed in panic-Urgent

Regarding the more information request - it is hp-ux 11.11 on PA-RISC, because of the version.

Hope this helps!
Regards
Torsten.

__________________________________________________
There are only 10 types of people in the world -
those who understand binary, and those who don't.

__________________________________________________
No support by private messages. Please ask the forum!

If you feel this was helpful please click the KUDOS! thumb below!   
Stephan._1
Trusted Contributor

Re: Vpar software upgrade landed in panic-Urgent

Thanks @Torsten, i don't have the compability matrix in my mind, so i prefer to ask :-p

@vasanth
Did you follow the procedure on page 85?

http://www.docs.hp.com/en/T1335-90057/T1335-90057.pdf


Share what you know, learn what you don't.
Prashanth.D.S
Honored Contributor

Re: Vpar software upgrade landed in panic-Urgent

Hi Vasanth


The error message itself should indicate you that the version of Vpar software installed is not matching with the vpmon being booted before launching any vpar..


The following can be checked to better determine what is occurring:

- setboot

The setboot output should display hardware path of the disk the monitor is being booted from.

Example:


# setboot
Primary bootpath : 0/0/4/0/0/4/0.12.0
Alternate bootpath : 0/0/0/3/0.6.0
Autoboot is ON (enabled)
Autosearch is ON (enabled)


- what /stand/vpmon



The "what" output when run on the disk the monitor is booted from should display the version of the Vpar monitor. Example:


# what /stand/vpmon
/stand/vpmon:
$Revision: vpmon: vw: -- selectors: R11.11_BL2003_1103 'cup2_vpar_pib6' 'cup2_muralid_a.03.04.06' Thu Jan 11 20:22:26 PST 2007 $
$Revision: vpmon: vw: -- selectors: R11.11_BL2003_1103 'cup2_vpar_pib6' 'cup2_muralid_a.03.04.06' Thu Jan 11 20:22:26 PST 2007 $
$Revision: libdebug.a: vw: -- selectors: R11.11_BL2003_1103 'cup2_vpar_pib6' 'cup2_muralid_a.03.04.06' Thu Jan 11 20:21:53 PST 2007 $
$Revision: libfs.a: vw: -- selectors: R11.11_BL2003_1103 'cup2_vpar_pib6' 'cup2_muralid_a.03.04.06' Thu Jan 11 20:21:50 PST 2007 $
$Revision: libinit.a: vw: -- selectors: R11.11_BL2003_1103 'cup2_vpar_pib6' 'cup2_muralid_a.03.04.06' Thu Jan 11 20:21:44 PST 2007 $
$Revision: libinit-pdk.a: vw: -- selectors: R11.11_BL2003_1103 'cup2_vpar_pib6' 'cup2_muralid_a.03.04.06' Thu Jan 11 20:22:24 PST 2007 $
$Revision: libio.a: vw: -- selectors: R11.11_BL2003_1103 'cup2_vpar_pib6' 'cup2_muralid_a.03.04.06' Thu Jan 11 20:21:36 PST 2007 $
$Revision: libio-pdk.a: vw: -- selectors: R11.11_BL2003_1103 'cup2_vpar_pib6' 'cup2_muralid_a.03.04.06' Thu Jan 11 20:21:25 PST 2007 $
$Revision: libipmi.a: vw: -- selectors: R11.11_BL2003_1103 'cup2_vpar_pib6' 'cup2_muralid_a.03.04.06' Thu Jan 11 20:21:16 PST 2007 $
$Revision: libldr-pdk.a: vw: -- selectors: R11.11_BL2003_1103 'cup2_vpar_pib6' 'cup2_muralid_a.03.04.06' Thu Jan 11 20:22:17 PST 2007 $
$Revision: libmem.a: vw: -- selectors: R11.11_BL2003_1103 'cup2_vpar_pib6' 'cup2_muralid_a.03.04.06' Thu Jan 11 20:21:13 PST 2007 $
$Revision: libmem-pdk.a: vw: -- selectors: R11.11_BL2003_1103 'cup2_vpar_pib6' 'cup2_muralid_a.03.04.06' Thu Jan 11 20:21:08 PST 2007 $
$Revision: libpdc-pdk.a: vw: -- selectors: R11.11_BL2003_1103 'cup2_vpar_pib6' 'cup2_muralid_a.03.04.06' Thu Jan 11 20:22:09 PST 2007 $
$Revision: libpdcem.a: vw: -- selectors: R11.11_BL2003_1103 'cup2_vpar_pib6' 'cup2_muralid_a.03.04.06' Thu Jan 11 20:22:04 PST 2007 $
$Revision: libsvc.a: vw: -- selectors: R11.11_BL2003_1103 'cup2_vpar_pib6' 'cup2_muralid_a.03.04.06' Thu Jan 11 20:21:05 PST 2007 $
$Revision: libsvc-pdk.a: vw: -- selectors: R11.11_BL2003_1103 'cup2_vpar_pib6' 'cup2_muralid_a.03.04.06' Thu Jan 11 20:22:00 PST 2007 $
$Revision: libutil-pdk.a: vw: -- selectors: R11.11_BL2003_1103 'cup2_vpar_pib6' 'cup2_muralid_a.03.04.06' Thu Jan 11 20:21:57 PST 2007 $
vp_config.c $Date: 2004/10/14 17:52:10 $Revision: r11.11/8



NOTE: The above output shows the monitor with version A.03.04.06.


- liflcp /dev/rdsk/c#t#d#:AUTO - -> where c#t#d# is the device file for you boot disk.



Example:


# lifcp /dev/dsk/c8t12d0:AUTO -
hpux /stand/vpmon -a



NOTE: The previous lifcp example output confirms that the system is booting from the Vpar monitor /stand/vpmon .

- what /stand/vmunix | grep â I vpar



Example:


# what /stand/vmunix | grep -I vpar
$Revision: libvpar-pdk.a: vw: -- selectors: R11.11_BL2003_1103 'cup2_vpar_pib6' 'cup2_muralid_a.03.04.06' Thu Jan 11 20:18:01 PST 2007 $



NOTE: The "what" on the running kernel shows that the Virtual Partitions version is A.03.04.06, which matches the vpar monitor version from the previous example.

- vparstatus -v -p



vparstatus will display the BOOT path for the given vpar. It will also display the kernel from which it is being booted.

For this case, the BOOT path for the vpar pointed to a different hardware path than setboot. The BOOT disk from vparstatus configured for the given vpar contained an earlier version of the Virtual Partition software, which explained the mismatch.

The vpar successfully booted for this case after using vparcreate -p chx009a1 -a io:0/0/4/0/0/4/0.12.0:BOOT to set the vpar's boot path the same as the Npar's primary boot path from which the monitor was booted.


--------------------------------------------------------------------------------
vasanth_2
Frequent Advisor

Re: Vpar software upgrade landed in panic-Urgent

Dear svo, Torsten and Prashanth,

Thanks for all your quick replies. I found the issue and definitely my mistake. Its a software incompatibility b/w vPar software and the vpmon. I forgot that vpmon will be updated only after restarting the Npar. After rebooting the vpmon things went well.

Thanks a tons again
ITRC forums and members rocks!! keep rocking!!!

Vasanth
vasanth_2
Frequent Advisor

Re: Vpar software upgrade landed in panic-Urgent

After giving the command reboot from MON promt everthing started without any issues.


MON>reboot

Issue Solved